package cn.feast.coding.service;

import com.github.pagehelper.PageInfo;
import java.util.List;

public interface IService<T> {
    int insert(T t);

    int update(T t);

    int deleteByPrimaryKey(Integer id);

    List<T> selectAll(T t);

    T selectByPrimaryKey(Integer id);

    List<T> queryAll();

    PageInfo<T> queryPage(T t, int pageNum, int pageSize);
}
